commit: 296e41e6d05bc7177f328abcbe90ecbf4e5b642e
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 15:46:09 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jul 22 09:28:08 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=296e41e6
dev-ml/llvm-ocaml: Remove mistaken use of PYTHON_REQUIRED_USE
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild | 3 +--
dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild | 5 ++---
dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild | 5 ++---
dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild | 3 +--
dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild | 3 +--
dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild | 3 +--
dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild | 3 +--
7 files changed, 9 insertions(+), 16 deletions(-)
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild
b/dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild
index a1c107a504b..e354e476534 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-10.0.0.9999.ebuild
@@ -43,8 +43,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
# least intrusive of all
CMAKE_BUILD_TYPE=RelWithDebInfo
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild
b/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild
index ca74c5a9128..d21c45f2aac 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-5.0.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -39,8 +39,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild
b/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild
index 0e64a225bb7..8973393dd2a 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-6.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -40,8 +40,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild
b/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild
index 844cf32241c..8973393dd2a 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-7.1.0.ebuild
@@ -40,8 +40,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild
b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild
index f083d7d40b8..1604aeb371f 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.0.ebuild
@@ -40,8 +40,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild
b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild
index 6281e463ee6..154f485d051 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-8.0.1.ebuild
@@ -40,8 +40,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
S=${WORKDIR}/${MY_P}
diff --git a/dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild
b/dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild
index 16e3da23895..28e3cb65696 100644
--- a/dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild
+++ b/dev-ml/llvm-ocaml/llvm-ocaml-9.0.0.9999.ebuild
@@ -42,8 +42,7 @@ DEPEND="${RDEPEND}
!!<dev-python/configparser-3.3.0.2
${PYTHON_DEPS}"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- || ( ${ALL_LLVM_TARGETS[*]} )"
+REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
# least intrusive of all
CMAKE_BUILD_TYPE=RelWithDebInfo